﻿using DemoCommon.Grid;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Renderers;
using Syncfusion.WinForms.GridCommon.ScrollAxis;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Dynamic;
using System.IO;
using System.Windows.Forms;

namespace AddNewRow
{
    /// <summary>
    /// Summary description for Form1.
    /// </summary>
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("OrderID", typeof(int)));
            dt.Columns.Add(new DataColumn("CustomerName", typeof(string)));
            dt.Columns.Add(new DataColumn("Country", typeof(string)));
            dt.Rows.Add(1000, "Mark", "Uk");
            dt.Rows.Add(1001, "Anto", "Germany");
            dt.Rows.Add(1002, "Maike", "US");
            dt.Rows.Add(1003, "Faiz", "London");
            dt.Rows.Add(1004, "Jack", "Uk");
            dt.Rows.Add(1005, "John", "SA");
            sfDataGrid.DataSource = dt;
            sfDataGrid.RowValidating += SfDataGrid_RowValidating;
            sfDataGrid.AddNewRowPosition = RowPosition.FixedTop;
        }

        private void SfDataGrid_RowValidating(object sender, Syncfusion.WinForms.DataGrid.Events.RowValidatingEventArgs e)
        {
            if (sfDataGrid.IsAddNewRowIndex(e.DataRow.RowIndex))
            {
                var data = (e.DataRow.RowData as DataRowView).Row;
                if (string.IsNullOrEmpty(data.ItemArray[0].ToString()) || string.IsNullOrEmpty(data.ItemArray[1].ToString()) || string.IsNullOrEmpty(data.ItemArray[2].ToString()))
                {
                    e.ErrorMessage = "Records cannot be empty";
                    e.IsValid = false;
                }
            }
        }
    }



}
